Bug 979116 - Change over time wallpaper doesn't change
Change over time wallpaper doesn't change
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: desktop-backgrounds (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Martin Sourada
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-27 12:15 EDT by mwp.junk
Modified: 2013-08-28 15:45 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-26 04:01:24 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Selected wallpaper neither shows nor change (108.02 KB, image/png)
2013-08-25 16:33 EDT, amreg
no flags Details

  None (edit)
Description mwp.junk 2013-06-27 12:15:57 EDT
Description of problem:

In the system control panel under backgrounds, selecting the wallpaper that says it changes over time should cycle through all the wallpapers, but instead it stays on the initial wallpaper.

How reproducible:

The first thing I modified on the fresh Fedora 18 installation was the background, so for me it's very reproducible.

Steps to Reproduce:
1. Open System Control Panel
2. Open Backgrounds
3. Select the wallpaper that changes over time
4. Save and close everything back to desktop
5. Wait for the wallpaper to change

Actual results:

The wallpaper never changes

Expected results:

The wallpaper should cycle through all the available wallpapers

Additional info:

The system is a DELL XPS 17 (L702x) with Intel HD 3000 and GeForce GT 555M using 3.9.6 kernel and up-to-date on all updates.
Comment 1 amreg 2013-08-25 16:33:20 EDT
Created attachment 790168 [details]
Selected wallpaper neither shows nor change
Comment 2 amreg 2013-08-25 16:39:02 EDT
I have the same issue on F19. (cf. screenshot attached above as comment #1): not only the selected wallpaper don't show (which is another bug that I have with some "standard" backgrounds provided by Gnome/Fedora), but also there is no change over time).
As sets of backgrounds, I just installed:
gnome-backgrounds-3.8.1-1.fc19
desktop-backgrounds-gnome-19.0.0-2.fc19
schroedinger-cat-backgrounds-base-18.91.0-1.fc19
schroedinger-cat-backgrounds-gnome-18.91.0-1.fc19
schroedinger-cat-backgrounds-animated-18.91.0-1.fc19
That's all. No Beefy Miracle, no Fedora Jam, ...: useless to try them as long as the above is not fixed.
Comment 3 Martin Sourada 2013-08-26 04:01:24 EDT
Sorry for my late reaction.
(In reply to mwp.junk from comment #0)
> In the system control panel under backgrounds, selecting the wallpaper that
> says it changes over time should cycle through all the wallpapers, but
> instead it stays on the initial wallpaper.
I think you misunderstood what the animation means. Appart from some extras wallpapers I'm not aware of any that would cycle through a group of wallpapers, most of the changes-over-time wallpapers are just cycling through slightly different variants of the same wallpaper (e.g. a darker version at night, red tint at dawn/dusk, ...). Also the change usually happens after several hours and as the differences are subtle, it might be easy to not notice it at all. 

It would help if you could tell what is the name of the animated wallpaper so that I could see for myself whether it really changes or not. 

But as I understand your report, I think it's invalid. Feel free to reopen the bug if you disagree and have further info to provide.

(In reply to amreg from comment #2)
> I have the same issue on F19. (cf. screenshot attached above as comment #1):
> not only the selected wallpaper don't show (which is another bug that I have
> with some "standard" backgrounds provided by Gnome/Fedora), but also there
> is no change over time).
> As sets of backgrounds, I just installed:
> gnome-backgrounds-3.8.1-1.fc19
AFAIK this is the package that provides the wallpaper from the screenshot.

> desktop-backgrounds-gnome-19.0.0-2.fc19
This just sets default wallpaper, irrelevant here.

> schroedinger-cat-backgrounds-base-18.91.0-1.fc19
> schroedinger-cat-backgrounds-gnome-18.91.0-1.fc19
> schroedinger-cat-backgrounds-animated-18.91.0-1.fc19
What your screenshot shows is gnome made wallpaper, not one of those in these packages.

> That's all. No Beefy Miracle, no Fedora Jam, ...: useless to try them as
> long as the above is not fixed.
Well, I don't know about Fedora Jam, but Beffy Miracle wallpapers for gnome are in beefy-miracle-backgrounds-gnome package...

From the look of things I think you've hit another bug, it's not the same you're commenting to. Try filling it against gnome-shell (althought that might be wrong component, it'd be still closer to the correct one than desktop-backrounds and the gnome folks would probably be able to help you better than me).
Comment 4 amreg 2013-08-28 15:45:39 EDT
(In reply to Martin Sourada from comment #3)
> (In reply to amreg from comment #2)
> Well, I don't know about Fedora Jam, but Beffy Miracle wallpapers for gnome
> are in beefy-miracle-backgrounds-gnome package...

I don't know either. I just thought there are "themes" sets that could include wallpapers among other things.
I just mentioned the list of packages related to wallpapers that I've installed.
The selection panel display the set of background images but lacks to tell their names... So I you ask us for an wallpaper file name, we have to browse all subdirectories of /usr/share/backgrounds to find it.

So I found for instance that there are a set of 3 files for the "schroedinger-cat" wallpaper (one for day, one for dusk and one for night, with different shadings), but I worked long enough a few weeks ago on my box (18 hours non-stop with this background selected) to be able to notice a change should one has to occurs... but I confirm there was none. So the mechanism to switch them during time does not seem to work (I agree this is not the one of my screenshot but I confirm this one displays well on my desktop but does not change at all over time).

Additionally, for the one in blue with vertical stripes that is on my screenshot (a standard for gnome, called "stripes.jpg", is the apparent candidate for it), there is only one file but the selection panel tags it as "change over time" (cf. the screenshot), so if it is not supposed to change, why is it tagged that way ?

In your last sentence, if you refer to the fact that some selected backgrounds does not display at all on my desktop when selected, I agree it's a completely different bug but I already filed it elsewhere (in fact, this other bug was already opened so I just added my testcase).

My comment to *this* bug are only about that a wallpaper tagged as "changing during time" does not change at all, whichever wallpaper it is and whoever it came from, so sorry but I think I'm talking about the real subject of this bug.

I hope I've been clearer, sorry if my first comment was not clear enough.

Note You need to log in before you can comment on or make changes to this bug.